CVE-2017-18587

An issue was discovered in the hyper crate before 0.9.18 for Rust. It mishandles newlines in headers.
References
Link Resource
https://rustsec.org/advisories/RUSTSEC-2017-0002.html Third Party Advisory
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:hyper:hyper:*:*:*:*:*:*:*:*
cpe:2.3:a:hyper:hyper:*:*:*:*:*:*:*:*

Information

Published : 2019-08-26 13:15

Updated : 2019-09-03 15:02


NVD link : CVE-2017-18587

Mitre link : CVE-2017-18587


JSON object : View

Products Affected

hyper

  • hyper
CWE
CWE-93

Improper Neutralization of CRLF Sequences ('CRLF Injection')